From ff71fc36609ef139837612c5d60906edcd340b63 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <gitlab@cmatte.me>
Date: Mon, 27 Feb 2023 19:22:33 +0100
Subject: [PATCH] pglister_sync: obtain subscriber_access from API

---
 loader/pglister_sync.py | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/loader/pglister_sync.py b/loader/pglister_sync.py
index d7e1925..7440ab8 100755
--- a/loader/pglister_sync.py
+++ b/loader/pglister_sync.py
@@ -42,15 +42,16 @@ if __name__ == "__main__":
     obj = r.json()
 
     # For groups, just add them if they don't exist
-    groups = {g['group']['id']: g['group']['groupname'] for g in obj}
+    groups = {g['group']['id']: (g['group']['groupname'], g['group']['subscriber_access']) for g in obj}
 
-    for id, name in list(groups.items()):
+    for id, (name, subscriber_access) in list(groups.items()):
         curs.execute("SELECT EXISTS (SELECT 1 FROM listgroups WHERE groupname=%(group)s)", {
             'group': name,
         })
         if not curs.fetchone()[0]:
-            curs.execute("INSERT INTO listgroups (groupname, sortkey) VALUES (%(group)s, 100) RETURNING groupname", {
+            curs.execute("INSERT INTO listgroups (groupname, sortkey, subscriber_access) VALUES (%(group)s, 100, %(subscriber_access)s) RETURNING groupname", {
                 'group': name,
+                'subscriber_access': subscriber_access,
             })
             print("Added group %s" % name)
 
-- 
2.39.2

